perdition (2.2-3ubuntu3) disco; urgency=medium

  * Rebuild against new libgdbm6.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Nov 2018 15:13:29 +0100

perdition (2.2-3ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:55:04 +0000

perdition (2.2-3ubuntu1) bionic; urgency=medium

  * Fix build with new builders toolchain 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 17:35:31 +0100

perdition (2.2-3) unstable; urgency=high

  * Correct syntax of ldconfig trigger
    (closes: #http://bugs.debian.org/847214)

 -- Simon Horman <horms@debian.org>  Tue, 06 Dec 2016 17:08:39 +0100

perdition (2.2-2) unstable; urgency=medium

  * Switch to build depend on the metapackage default-libmysqlclient-dev
    (closes: #845889)
  * Update from standards version 3.9.6 to 3.9.8
  * Update from compat level 7 to 9

 -- Simon Horman <horms@debian.org>  Mon, 28 Nov 2016 09:56:25 +0100

perdition (2.2-1) unstable; urgency=medium

  * New Upstream
  * Add support for forward secrecy
    (closes: #765867)
  * Make builds reproducible
    (closes: #787998)
  * Allow compilation against OpenSSL 1.1
    (closes: #828494)
  * Update standards version to 3.9.6

 -- Simon Horman <horms@debian.org>  Tue, 01 Nov 2016 10:49:21 +0100

perdition (2.1-2) unstable; urgency=medium

  * Add missing call to dh_autoreconf

 -- Simon Horman <horms@debian.org>  Thu, 11 Sep 2014 11:53:38 +0900

perdition (2.1-1) unstable; urgency=low

  * New Upstream Release
    (closes: #751430)
  * Fix for CVE-2013-4584

    Perdition fails to apply the administrator's specified ciphersuite
    preferences when making outbound connections to IMAP and POP servers
    using STARTTLS.  For these outbound connections, it applies the
    administrator's listening ciphersuite preferences, which in many cases
    may be significantly weaker.

    This is not a critical vulnerability (it can be mitigated, for example,
    by enforcing a strict minimalist ciphersuite on the backend server),
    but in the absence of any such mitigation, it may cause the connections
    between the proxy server and the backend server to negotiate a weaker
    ciphersuite than the administrator's stated intent.

    (closes: #729028)
  * Versioned build dependency on dpkg-dev (>=1.16.1)
    (closes: #680086)
  * Use 1.0 as Managesieve version
    (closes: #726175)
  * Use autoreconf
    (closes: #737666)
  * Harden build flags
  * Build verbosely
  * Update standards version to 3.9.5

 -- Simon Horman <horms@debian.org>  Sun, 01 Dec 2013 17:10:57 +0900

perdition (2.0-1) unstable; urgency=low

  * New upstream release

 -- Simon Horman <horms@debian.org>  Fri, 04 Oct 2013 10:52:35 +0900

perdition (1.19~rc5-1) unstable; urgency=low

  * Use hardened build flags
    (closes: #655412)
  * Fix segmentation fault in strcasestr()
    (closes: #660735)
  * Added homepage to control file
    (closes: #594026)
  * Do not include .la files from binary packages
    (closes: #633184)
  * Set package format to 3.0 (quilt)

 -- Simon Horman <horms@debian.org>  Tue, 20 Mar 2012 18:41:34 +0900

perdition (1.19~rc4-4) unstable; urgency=low

  * Updated init script based on current /etc/inti.d/skeleton
   (closes: #609653)
  * Remove .la files
   (closes: #633184)

 -- Simon Horman <horms@debian.org>  Tue, 23 Aug 2011 15:12:08 +0900

perdition (1.19~rc4-3) unstable; urgency=low

  * Handle IPv6 address literals in --bind-address
    - Upstream patch
      http://hg.vergenet.net/perdition/perdition/rev/06e0c2cdb64f
  * managesieve: Fix handling of long authentication hashes
    - Upstream patch
      http://hg.vergenet.net/perdition/perdition/rev/6544c58ec144
    - (closes: 630499)

 -- Simon Horman <horms@debian.org>  Wed, 15 Jun 2011 08:25:44 +0900

perdition (1.19~rc4-2) unstable; urgency=low

  * Clean up use of 4/8 byte types on architectures such as amd64
    where ssize_t and long are 8 bytes white but int is only 4 bytes wide.
    - Fix possible premature connection closure.
    - Fix possible stack corruption in odbc module.
    - Critical portions of upstream patch
      http://hg.vergenet.net/perdition/perdition/rev/57268f4aaa94
    - (closes: 59791)

 -- Simon Horman <horms@debian.org>  Mon, 27 Sep 2010 23:30:21 +0900

perdition (1.19~rc4-1) unstable; urgency=low

  * New Upstream
  * There is a typo in the changelog for 1.19~rc3-2
    "libvanessa-logger-dev (>= 0.0.12)" should be
    "libvanessa-socket-dev (>= 0.0.12)".

 -- Simon Horman <horms@debian.org>  Mon, 13 Sep 2010 16:11:20 +0900

perdition (1.19~rc3-2) unstable; urgency=low

  * BuildDepend on libvanessa-logger-dev (>= 0.0.12) instead of (>= 0.0.10).
    (closes: #592459)
  * Update standards version from 3.9.0 to 3.9.1

 -- Simon Horman <horms@debian.org>  Tue, 17 Aug 2010 15:45:31 +0900

perdition (1.19~rc3-1) unstable; urgency=low

  * New upstream

 -- Simon Horman <horms@debian.org>  Thu, 29 Jul 2010 15:55:26 +0900

perdition (1.19~rc2-1) unstable; urgency=low

  * New Upstream

 -- Simon Horman <horms@debian.org>  Sat, 10 Jul 2010 09:29:08 +0900

perdition (1.19~rc1-1) unstable; urgency=low

  * New Upstream
    - Separate pop_capability and imap_capability configuration parameters
      (closes: #564164)
    - Use "." as the delimiter for pop_capability
      (closes: #564164)

 -- Simon Horman <horms@debian.org>  Tue, 06 Jul 2010 09:54:24 +0900

perdition (1.18-2) unstable; urgency=low

  * Don't check for pid files after starting daemons in init script.
    They legitimately may not exist yet.
  * ssl: honour timeout during setup
    (closes: #561885)

 -- Simon Horman <horms@debian.org>  Wed, 23 Dec 2009 16:23:20 +1100

perdition (1.18-2) unstable; urgency=low

  * Update standards version from 8.3.3 to 8.3.4

 -- Simon Horman <horms@debian.org>  Tue, 08 Jun 2010 12:28:41 +0900

perdition (1.18-1) unstable; urgency=low

  * New Upstream

 -- Simon Horman <horms@debian.org>  Fri, 27 Nov 2009 11:07:43 +1100

perdition (1.18~rc3-1) unstable; urgency=low

  * New Upstream

 -- Simon Horman <horms@debian.org>  Sun, 18 Oct 2009 12:19:20 +1100

perdition (1.18~rc2-1) unstable; urgency=low

  * don't call make from perdition prerm script
    - make may not be installed
    - unnecessary clean up of user-generated files
  * Fix ldap module return values
    (closes: #548054)

 -- Simon Horman <horms@debian.org>  Thu, 24 Sep 2009 17:03:42 +1000

perdition (1.18~rc1-2) unstable; urgency=low

  * Update build dependency on libvanessa-socket-dev to 0.0.8.
    - Perdition 1.18~rc1 requires symbols that are new in
      vanessa-socket 0.0.8.
    (closes: #544876)

 -- Simon Horman <horms@debian.org>  Thu, 03 Sep 2009 23:38:19 +1000

perdition (1.18~rc1-1) unstable; urgency=low

  * New Upstream
    - Pass include '\0' in the length passed to yp_match() in the NIS module
      Thanks to Robert Edmonds
      (closes: #412151)
    - Use ca_path and ca_file for incoming connections
      Thanks to Sven Hartge
      (closes: #380390)
    - Fix buffer overflow in options logging code that caused
      perdition to segfault on start-up if the ssl_mode string
      supplied was greater than 26 characters long.
      Thanks to Laurent Licour <laurent@licour.com> for the fix.
      (closes: #395408)
    - Refer to libperditiondb_postgresql.so.0 in POSTGRESQL of perditiondb(5)
      (closes: #507414)
    - Don't accept STARTTLS command in imap4 mode if it hasn't been
      enabled in the configuration.
      (closes: #500554)
    - Process subjectAltName fields
      (closes: #513461)
    - Support ldap v3
      (closes: #473570)
    - Support ldaps
      (closes: #477159)

 -- Simon Horman <horms@debian.org>  Thu, 03 Sep 2009 22:39:24 +1000

perdition (1.17.1-1) unstable; urgency=high

  * New Upstream
    - Verify that tag read from end-users is valid
      + CVE-2007-5740
        The format string protection mechanism in IMAPD for Perdition Mail
        Retrieval Proxy 1.17 and earlier allows remote attackers to execute
        arbitrary code via an IMAP tag with a null byte followed by a format
        string specifier, which is not counted by the mechanism.
    - Merged in all changes made between 1.17-1 and 1.17-8 inclusive

 -- Simon Horman <horms@debian.org>  Wed, 31 Oct 2007 11:44:22 +0900

perdition (1.17-8) unstable; urgency=low

  * Change build-dependancy from libdb4.3-dev to libdb-dev,
    which currently depends on libdb4.6-dev. This is to allow
    libdb4.3 to be removed from the archive.
    (closes: #442663)

 -- Simon Horman <horms@debian.org>  Wed, 19 Sep 2007 11:30:32 +0900

perdition (1.17-7) unstable; urgency=low

  * Remove the unneccesary Build-Depends on automake as part of
    automake transition. http://wiki.debian.org/AutomakeTransition
    (closes: #376643)
  * Fix documentation of map_library. Thanks to Anand Kumria.
    (closes: #354527)
  * Add suggests perdition-ldap, perdition-mysql, perdition-odbc,
    perdition-postgresql to perdition
  * Update from standards version 3.6.1 to 3.7.2

 -- Simon Horman <horms@debian.org>  Tue,  4 Jul 2006 15:31:02 +0900

perdition (1.17-5) unstable; urgency=low

  * Rebuild, as i386 upload was missing depenancies on vanessa libraries.
    This was caused by a ~/.magic in the build environment that had very
    unexpected side affects. Primarily causing file to return "data"
    instead of "ELF" on ELF executables, and thus causing all executables
    to be skipped by dh_shlibdeps.
    (closes: #344797)
  * Tell dh_shlibdeps that base libraries are in the perdition package
    and found in debian/perdition/usr/lib

 -- Simon Horman <horms@verge.net.au>  Tue, 27 Dec 2005 03:57:14 +0000

perdition (1.17-4) unstable; urgency=low

  * Update MySQL build dependancy to libmysqlclient15-dev
    (closes: 343790)

 -- Simon Horman <horms@verge.net.au>  Mon, 19 Dec 2005 10:24:15 +0900

perdition (1.17-3) unstable; urgency=low

  * Revert to using ldap_init() instead of ldap_initialize()
    which seems to be broken on debian's ldap, 2.1.30.
    I am not sure what version it works for, if any.
    http://www.openldap.org/lists/openldap-software/200406/msg00688.html

 -- Simon Horman <horms@debian.org>  Mon,  4 Jul 2005 21:29:28 +0900

perdition (1.17-2) unstable; urgency=low

  * Build packet code for daemon modules as a shared module,
    else it brakes the build on smoe arches. This is an attempt
    at a more permanant solution to this problem, rather than
    the band-aid solution included in 1.15-5. 
    Thanks to Kurt Roeckx (closes: Bug#315771)
  * Forcibly disable build of ldap documentation.
  * Change build-dependancies on virtual packages to non-virtual packages
    - libdb-dev -> libdb4.3-dev
    - libmysqlclient-dev -> libmysqlclient14-dev
    Thanks to Kurt Roeckx

 -- Simon Horman <horms@debian.org>  Wed, 29 Jun 2005 11:50:38 +0900

perdition (1.17-1) unstable; urgency=low

  * Update postgresql-dev build dependancy to libpq-dev
  * New Upstream

 -- Simon Horman <horms@debian.org>  Wed, 22 Jun 2005 14:43:32 +0900

perdition (1.15-5) unstable; urgency=low

  * Don't build packet code for deamon module as a staticly linked object,
    as introduced in 1.15-4, as this breaks building on some architectures.
    Instead, just omit building the sample client and server program,
    which are never installed anyway. (closes: Bug#291132)
 
 -- Simon Horman <horms@debian.org>  Wed, 19 Jan 2005 12:01:12 +0900

perdition (1.15-4) unstable; urgency=low

  * Rebuilt with correct libary dependancies.
    It turns out that when 1.15-3 (and possibly other releases) were
    built the vanessa libraries were present in a local directory,
    as well /usr/lib, which caused some dependancies to be omitted.
    (closes:  Bug#290794)
  * Move shared packet code for deamon module into a staticly linked library
    as having multiple objects link against packet.o breaks the build
    sometimes.

 -- Simon Horman <horms@debian.org>  Mon, 17 Jan 2005 12:50:05 +0900

perdition (1.15-3) unstable; urgency=low

  * Fixed problem with SSL+inetd mode not working if debug was enabled.
  (Roberto Suarez Soto) (closes: Bug#287017)
  * Fixed compile gcc-4.0 compile problem. 
  (Andreas Jochens) (closes: Bug#287911)

 -- Simon Horman <horms@debian.org>  Tue, 11 Jan 2005 17:14:51 +0900

perdition (1.15-2) unstable; urgency=low

  * Removed ldap (latex) documentation as it can no longer be built
    on debian. (closes: Bug#266067)

 -- Simon Horman <horms@debian.org>  Sun, 29 Aug 2004 18:15:28 +0900

perdition (1.15-1) unstable; urgency=low

  * Fixed a bug in the forming of the return string from an
    LDAP lookup. (closes: Bug#243898)
  * Use compat 4
  * Removed half-broken depends

 -- Simon Horman <horms@debian.org>  Thu, 27 May 2004 16:23:12 +0900

perdition (1.14release-1) unstable; urgency=low

  * Ldap filter parsing code has been completely rewritten
    and should now allow substitutions in any part of the URL.
    (Actually this was fixed in 1.10, but I missed closing the bug report.)
    (closes: Bug#203734) 

 -- Simon Horman <horms@debian.org>  Fri,  2 Apr 2004 12:29:18 +0900

perdition (1.14beta1-1) unstable; urgency=low

  * New Upstream
  * Fixed handling of shlibs

 -- Simon Horman <horms@debian.org>  Mon, 22 Mar 2004 19:07:49 +0900

perdition (1.13-1) unstable; urgency=low

  * New Upstream

 -- Simon Horman <horms@vergenet.net>  Fri, 19 Dec 2003 15:27:40 +0900

perdition (1.12release-1) unstable; urgency=low

  * New Upstream

 -- Simon Horman <horms@vergenet.net>  Mon, 15 Dec 2003 15:11:45 +0900

perdition (1.11release-3) unstable; urgency=low

   * Child processes don't delete the pid file (closes: Bug#222181)

 -- Simon Horman <horms@vergenet.net>  Mon,  1 Dec 2003 11:31:35 +0900

perdition (1.11release-2) unstable; urgency=low

  * Added PID file support (closes: Bug#219248)
    Code has been incoporated into CVS for the next release
    Thanks to Roland Rosenfeld

 -- Simon Horman <horms@vergenet.net>  Thu, 20 Nov 2003 15:06:22 +0900

perdition (1.11release-1) unstable; urgency=low

  * New Upstream

 -- Simon Horman <horms@vergenet.net>  Fri,  6 Jun 2003 12:56:22 +0900

perdition (1.11beta8-6) unstable; urgency=low

  * New standards version.
  * Removed spurious multi-line string constant from 
    perdition_verify_result() which seems to cause compile problems 
    on at least Debian HPPA. (closes: Bug#193857)

 -- Simon Horman <horms@vergenet.net>  Mon, 19 May 2003 23:54:23 +0900

perdition (1.11beta8-5) unstable; urgency=low

  * Fixed typo in init script. (closes: Bug#193673)
  * Also from previous package release. (closes: Bug#192479)

 -- Simon Horman <horms@vergenet.net>  Sun, 18 May 2003 11:37:53 +0900

perdition (1.11beta8-4) unstable; urgency=low

  * Removed conflicts and added shlibs.local to handle versioned depenancy on
    libvanessa-adt0, libvanessa-socket0 and libvanessa-logger0 in
    perdition package (closes: Bug#192479)
  * Merged perdition-bdb package into perdition package

 -- Simon Horman <horms@vergenet.net>  Fri,  9 May 2003 10:49:51 +0900

perdition (1.11beta8-3) unstable; urgency=low

  * Fix so perdition can build against libdb4.1-dev
    (closes: Bug#191032)

 -- Simon Horman <horms@vergenet.net>  Mon, 28 Apr 2003 15:22:54 +0900

perdition (1.11beta8-2) unstable; urgency=low

  * Updated versioned dependancies on libvanessa-adt-dev,
    libvanessa-socket-dev and libvanessa-logger-dev

 -- Simon Horman <horms@vergenet.net>  Sat, 19 Apr 2003 09:49:25 +0900

perdition (1.11beta8-1) unstable; urgency=low

  * Imap subfolders should work correctly. Actually this
    was fixed a long time ago. (closes: Bug#171558)
  * Not a bug. Use the domain delimiter configuration parameter.
    (closes: #171080)
  * Compile aggainst mysqlclient12. Oooh, I so love changing crap like that.
  * Moved back out of non-US. Where is the smart money on when
    it will have move yet again because of some dependancy? I say 2 years.

 -- Simon Horman <horms@vergenet.net>  Fri, 18 Apr 2003 17:25:00 +0900

perdition (1.11beta7-1) unstable; urgency=low

  * Bew Yostream

 -- Simon Horman <horms@vergenet.net>  Wed, 26 Mar 2003 18:31:45 +0900

perdition (1.11beta5-1) unstable; urgency=low

  * New Upstream

 -- Simon Horman <horms@vergenet.net>  Wed, 12 Feb 2003 12:03:58 +0900

perdition (1.11beta4-1) unstable; urgency=low

  *  New Upstream version
     Closes Debian Bugs:
     - Autodetection of WITH_LDAP_LUD_EXTS works correclty.
       (closes: Bug#170801)
     - Not a bug (closes: Bug#170783)
     - Not a bug (closes: Bug#170782)
     - Removed non-atomic syscalls between accept() and fork()
       (in libvanessa_socket) (closes: Bug#179212)
     - Restart Daemon on upgrade (closes: Bug#177700)
     - Not a bug (closes: Bug#179118)
     - Not a bug (use the domain_delimiter option please)
       (closes: Bug#171080)
     - Not a bug (please set the capability of perdition to match your
       imap servers). (closes: Bug#171558)
     - Not a bug (added to TODO list). (closes: Bug#178969)
     - Build with WITH_LDAP_LUD_EXTS (closes: Bug#170801)

 -- Simon Horman <horms@vergenet.net>  Fri, 10 Jan 2003 17:07:03 +0900

perdition (0.1.10-2) unstable; urgency=low

  * Added Build-Depends on libtool and built package from
    a tar ball generated by make distcheck, rather than
    from my development tree. This means that files, rather
    than symlinks are included in the package. This should
    solve build problems reported.

 -- Simon Horman <horms@vergenet.net>  Sat, 25 May 2002 17:12:01 +1000

perdition (0.1.10-1) unstable; urgency=low

  * The following are here as these bugs do not seem to have been
     closed for some reason.

  *  Minor spelling errors.
     (closes: Bug#125226)

 -- Simon Horman <horms@vergenet.net>  Fri, 17 May 2002 17:29:47 +1000

perdition (0.1.9-5) unstable; urgency=low

  *  Really compile against libpgsql2 instead of libpgsql2.1.
     (closes: Bug#141710)

  *  Compile against openldap2.
     (closes: Bug#129843)

 -- Simon Horman <horms@vergenet.net>  Tue, 30 Apr 2002 15:06:23 +1000

perdition (0.1.9-3) unstable; urgency=low

  *  Compile against openldap2. closes: Bug#129843
  *  Minor spelling errors. closes: Bug#125229 closes: Bug#125228
      closes: Bug#12522 closes: Bug#12522

 -- Simon Horman <horms@vergenet.net>  Sat, 19 Jan 2002 11:11:58 +1100

perdition (0.1.9-2) unstable; urgency=low

  * Build against libpgsql2.1. closes: Bug#104503

  * Requires vanessa_socket >= 0.0.3. closes: Bug#104095

 -- Simon Horman <horms@vergenet.net>  Tue, 24 Jul 2001 14:58:12 -0700

perdition (0.1.9-1) unstable; urgency=low

  * Fixed gramatical error in control file. closes: Bug#99764.

  * Moved from main/mail to non-US/main/mail becase PostgreSQL
    is in non-US. closes: Bug#97121

  * Changed build dependancy libmysqlclient6-dev | libmysqlclient10-dev 
    to libmysqlclient10-dev | libmysqlclient6-dev as libmysqlclient6-dev
    is no longer in debian unstable. closes: Bug#102325

  * Added build dependancy for libtool. closes: Bug#102325

  * Changed build dependancy libopenldap-dev | libldap2-dev to
    libldap2-dev | libopenldap-dev as libopenldap-dev is
    not in debian unstable. closes: Bug#102710

 -- Simon Horman <horms@vergenet.net>  Fri, 29 Jun 2001 13:39:34 +1000

perdition (0.1.8-1) unstable; urgency=low

  * Linking problems resolved for libperditiondb-mysql,
    libperditiondb-postgresql and libperditiondb-ldap

 -- Simon Horman <horms@vergenet.net>  Wed, 18 Apr 2001 15:41:40 -0700

perdition (0.1.7-3) unstable; urgency=low

  * Merged db packages into main package

 -- Simon Horman <horms@vergenet.net>  Wed, 18 Apr 2001 12:43:34 -0700

perdition (0.1.7-2) unstable; urgency=low

  * Fixed dependancies for db packages

 -- Simon Horman <horms@vergenet.net>  Fri, 06 Apr 2001 11:15:15 -0700

perdition (0.1.7-1) unstable; urgency=low

  * A release.

 -- Simon Horman <horms@vergenet.net>  Wed, 04 Apr 2001 12:38:12 -0700

Local variables:
mode: debian-changelog
End:
eoch
